# PspModule Struct Reference

`#include <tools/prxtypes.h>`

Collaboration diagram for PspModule:

[legend]

## Detailed Description

Structure to hold the loaded module information.

## Data Fields

char | name [PSP_MODULE_MAX_NAME+1]
| Name of the module.
PspModuleInfo | info
| Info structure, in native byte order.
u32 | addr
| Virtual address of the module info section.
PspLibExport * | exp_head
| Head of the export list.
PspLibImport * | imp_head
| Head of the import list.

## Field Documentation

u32 PspModule::addr

| Virtual address of the module info section.

struct PspLibExport* PspModule::exp_head

| Head of the export list.

struct PspLibImport* PspModule::imp_head

| Head of the import list.

struct PspModuleInfo PspModule::info

| Info structure, in native byte order.

char PspModule::name[PSP_MODULE_MAX_NAME+1]

| Name of the module.

The documentation for this struct was generated from the following file:

- tools/prxtypes.h